> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaero.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List files

> Returns a list of files that belong to the user's organization.



## OpenAPI

````yaml /api-reference/openapi.json get /files
openapi: 3.0.0
info:
  title: Vaero API
  version: 1.0.0
  description: API for file uploads to Vaero platform.
servers:
  - url: https://vaeroapi.com/v1
    description: Production server
security: []
paths:
  /files:
    get:
      tags:
        - Files
      summary: List files
      description: Returns a list of files that belong to the user's organization.
      responses:
        '200':
          description: A list of File objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Auto-assigned UUID file identifier.
                          example: file-abc123
                        object:
                          type: string
                          description: Object type, which will always be 'file'.
                          example: file
                        bytes:
                          type: integer
                          description: Size of the uploaded file in bytes.
                          example: 175
                        created_at:
                          type: integer
                          description: Unix timestamp for when the file was created.
                          example: 1613677385
                        filename:
                          type: string
                          description: The name of the uploaded file.
                          example: salesOverview.txt
                        purpose:
                          type: string
                          description: The purpose of the uploaded file.
                          example: fine-tune
                  object:
                    type: string
                    description: Object type, which will always be 'list'.
                    example: list
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````